<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTexts") label="Texts"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader iri=iri param="textiri" prefix="Text: "]]

<div class="btn-toolbar">
  <mp-copy-to-clipboard text="[[singleValueFromSelect 'select ?idval where { ?? crm:P1_is_identified_by ?id. ?id crm:P2_has_type ismiidtype:ismi-id. ?id rdfs:label ?idval.}']]">
    <button type="button" class="btn btn-md btn-default">Copy ID</button>
  </mp-copy-to-clipboard>
[[#if (hasPermission "forms:ldp:update")]]
  <semantic-link
    iri="[[resolvePrefix ':editText']]"
    urlqueryparam-textiri="[[#if iri]][[iri]][[else]][[urlParam 'textiri']][[/if]]"
    class="btn btn-primary"
    style="margin-left: 1rem;"
    >Edit</semantic-link>
[[/if]]
</div>


<bs-tabs id="tabs" class="header">
  <bs-tab event-key="1" title="View">
    
    [[> Partial:fieldsTable iri=iri param="textiri"]]

  </bs-tab>
  <bs-tab event-key="2" title="Source">

    [[> Partial:dataView iri=iri param="textiri"]]

  </bs-tab>
  <bs-tab event-key="3" title="Diagram">

    [[> Partial:diagramView iri=iri param="textiri"]]

  </bs-tab>
</bs-tabs>

[[> Partial:contentEnd]]
